Client Get Ground Truth Version
curl --request GET \
--url https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/ground_truths/{ground_truth_id}/versions/{version} \
--header 'Authorization: Bearer <token>'import requests
url = "https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/ground_truths/{ground_truth_id}/versions/{version}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/ground_truths/{ground_truth_id}/versions/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluation_instructions": "Check if the extracted invoice number and total amount match the expected values exactly.",
"id": 1,
"name": "Invoice Processing",
"runs": [
{
"data": {
"Invoice Number": "INV-2025-001",
"Total Amount": 1500
},
"user_defined_id": "invoice-001"
}
],
"version": 2
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Ground Truths
Get Ground Truth Version
Return a specific version of a Ground Truth for an Agent
Client Get Ground Truth Version
Rate Limit: This endpoint is limited to requests per minute per user.
Authorizations
Bearer authentication header of the form Bearer <token>. The <token> represents your API key, which must be acquired from the Kolena platform.
Response
Successful Response
The unique ID of the Ground Truth.
The current version number of the Ground Truth.
The name of the Ground Truth.
Instructions used to evaluate Runs against this Ground Truth.
The list of Runs that make up this Ground Truth.
Show child attributes
Show child attributes
Was this page helpful?
